[arch-commits] Commit in python24/repos (4 files)
Allan McRae
allan at archlinux.org
Wed Jul 9 01:15:47 UTC 2008
Date: Tuesday, July 8, 2008 @ 21:15:46
Author: allan
Revision: 4703
Merged revisions 4634-4702 via svnmerge from
svn+ssh://archlinux.org/home/svn-packages/python24/trunk
........
r4696 | andyrtr | 2008-07-09 09:01:08 +1000 (Wed, 09 Jul 2008) | 1 line
upgpkg: python24 2.4.5-3
........
Added:
python24/repos/testing-i686/db4.5-setup.py-detection.patch
(from rev 4696, python24/trunk/db4.5-setup.py-detection.patch)
Modified:
python24/repos/testing-i686/ (properties)
python24/repos/testing-i686/PKGBUILD
Deleted:
python24/repos/testing-i686/db4.7-setup.py-detection.patch
--------------------------------+
PKGBUILD | 13 ++++++++-----
db4.5-setup.py-detection.patch | 20 ++++++++++++++++++++
db4.7-setup.py-detection.patch | 20 --------------------
3 files changed, 28 insertions(+), 25 deletions(-)
Property changes on: python24/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
- /python24/trunk:1-4633
+ /python24/trunk:1-4702
Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD 2008-07-09 01:05:19 UTC (rev 4702)
+++ testing-i686/PKGBUILD 2008-07-09 01:15:46 UTC (rev 4703)
@@ -2,22 +2,25 @@
# Maintainer: Jason Chu <jason at archlinux.org>
pkgname=python24
pkgver=2.4.5
-pkgrel=2
+pkgrel=3
pkgdesc="A high-level scripting language"
arch=(i686 x86_64)
license=('custom')
url="http://www.python.org"
-depends=('db>=4.7' 'bzip2' 'gdbm' 'openssl' 'zlib' 'gcc-libs' 'readline')
+depends=('db4.5' 'bzip2' 'gdbm' 'openssl' 'zlib' 'gcc-libs' 'readline')
makedepends=('tk')
-source=(http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.bz2 db4.7-setup.py-detection.patch db_fix.patch)
+source=(http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.bz2
+ db4.5-setup.py-detection.patch db_fix.patch)
options=('!makeflags')
md5sums=('aade3958cb097cc1c69ae0074297d359'
- '0b28ac0c0d1557f598a1ac6d4fb4227b'
+ 'f9620f756b43f46b28b2986de21285dc'
'1c178479d17ae1e59cccb0a3f7be043b')
build() {
+ [ -e /usr/lib/libdb.so ] && echo "make sure you have no other db* pkg installed" && return 1
+
cd $startdir/src/Python-$pkgver
- patch -Np0 -i ../db4.7-setup.py-detection.patch || return 1
+ patch -Np0 -i ../db4.5-setup.py-detection.patch || return 1
patch -Np0 -i ../db_fix.patch || return 1
./configure --prefix=/usr --enable-shared --with-threads --enable-unicode
# This is supposed to be the previous version's python directory
Copied: python24/repos/testing-i686/db4.5-setup.py-detection.patch (from rev 4696, python24/trunk/db4.5-setup.py-detection.patch)
===================================================================
--- testing-i686/db4.5-setup.py-detection.patch (rev 0)
+++ testing-i686/db4.5-setup.py-detection.patch 2008-07-09 01:15:46 UTC (rev 4703)
@@ -0,0 +1,20 @@
+--- setup.py 2006-10-08 19:41:25.000000000 +0200
++++ setup.py.new 2007-09-29 13:47:50.000000000 +0200
+@@ -522,7 +522,7 @@
+ #
+ # http://www.sleepycat.com/update/index.html
+
+- max_db_ver = (4, 4)
++ max_db_ver = (4, 5)
+ min_db_ver = (3, 2)
+ db_setup_debug = False # verbose debug prints from this script?
+
+@@ -539,7 +539,7 @@
+ '/sw/include/db3',
+ ]
+ # 4.x minor number specific paths
+- for x in (0,1,2,3,4):
++ for x in (0,1,2,3,4,5):
+ db_inc_paths.append('/usr/include/db4%d' % x)
+ db_inc_paths.append('/usr/include/db4.%d' % x)
+ db_inc_paths.append('/usr/local/BerkeleyDB.4.%d/include' % x)
Deleted: testing-i686/db4.7-setup.py-detection.patch
===================================================================
--- testing-i686/db4.7-setup.py-detection.patch 2008-07-09 01:05:19 UTC (rev 4702)
+++ testing-i686/db4.7-setup.py-detection.patch 2008-07-09 01:15:46 UTC (rev 4703)
@@ -1,20 +0,0 @@
---- setup.py 2006-10-08 19:41:25.000000000 +0200
-+++ setup.py.new 2007-09-29 13:47:50.000000000 +0200
-@@ -522,7 +522,7 @@
- #
- # http://www.sleepycat.com/update/index.html
-
-- max_db_ver = (4, 4)
-+ max_db_ver = (4, 7)
- min_db_ver = (3, 2)
- db_setup_debug = False # verbose debug prints from this script?
-
-@@ -539,7 +539,7 @@
- '/sw/include/db3',
- ]
- # 4.x minor number specific paths
-- for x in (0,1,2,3,4):
-+ for x in (0,1,2,3,4,5,6,7):
- db_inc_paths.append('/usr/include/db4%d' % x)
- db_inc_paths.append('/usr/include/db4.%d' % x)
- db_inc_paths.append('/usr/local/BerkeleyDB.4.%d/include' % x)
More information about the arch-commits
mailing list